import com.Components.Window;
import com.GameInterface.Log;
import AACEWindow;
import com.Utils.Archive;
import com.GameInterface.Chat;
import flash.geom.Point;
import gfx.controls.Button;
import mx.utils.Delegate;

var m_WindowPosition:Point;
var m_AACEWindow:MovieClip;
var m_AACEButton:MovieClip;


//Init
function onLoad() {
	//Log.Error("AACE","onLoad Called");
	m_AACEButton = attachMovie("AACEButton", "button", getNextHighestDepth());
	m_AACEButton._x = 8
	m_AACEButton._y = 150;
	m_AACEButton.label = "AACE";
	m_AACEButton.autoSize = "left";
	m_AACEButton.addEventListener("click", this, "onAACEButtonClick");
}

function OnModuleActivated(config:Archive) {
	//Log.Error("AACE","Activate Called");
	m_WindowPosition = config.FindEntry("WindowPosition");
	if (m_WindowPosition == undefined) {
		m_WindowPosition = new Point();
		m_WindowPosition.x = 500;
		m_WindowPosition.y = 500;
	}
}

function OnModuleDeactivated() {
	//Log.Error("AACE", "Deactivate Called");
	var archive:Archive = new Archive();
	
	archive.AddEntry("WindowPosition", m_WindowPosition);
	m_AACEWindow.removeMovieClip();
	m_AACEButton.removeMovieClip();
	return archive;
}

//EndInit

// Events
function onAACEWindowUnload() {
	m_AACEWindow = undefined;
}

function onAACEButtonClick(eventObj:Object) {
	if (m_AACEWindow == undefined)  {
		m_AACEWindow = attachMovie("AACEWindow", "window", getNextHighestDepth());
		m_AACEWindow._x = m_WindowPosition.x;
		m_AACEWindow._y = m_WindowPosition.y;
		m_AACEWindow.SignalPositionChanged.Connect(onPositionChanged, this);
		m_AACEWindow.onUnload = Delegate.create(this, onAACEWindowUnload);
	}
	ResetFocus();
}

function onPositionChanged(incX:Number, incY:Number) {
	//Log.Error("AACEMod","SlotPosChg X,Y: " + incX + "," + incY);
	m_WindowPosition.x = incX;
	m_WindowPosition.y = incY;
}

// Misc Functions

function ResetFocus() {
	Selection.setFocus(null);
}