import com.Components.Window;
import com.GameInterface.Chat;
import com.GameInterface.Game.Character;
import com.GameInterface.Game.CharacterBase;
import com.GameInterface.Log;
import com.Utils.Signal;
import flash.geom.Point;
import gfx.controls.Button;
import mx.utils.Delegate;
import gfx.controls.TextArea;


class AACEWindow extends MovieClip {
	public var SignalPositionChanged:Signal;
	public var SignalClosedWindow:Signal;
	
	private var m_CodeArea:TextArea;
	private var m_Background:MovieClip
	private var m_ExecuteButton:Button;
	private var m_CloseButton:Button;
	
	private var m_Dragging:Boolean = false;

	
	public function AACEWindow() {
		super();
		
		SignalClosedWindow = new Signal();
		SignalPositionChanged = new Signal();;
		m_Background.onRelease = Delegate.create(this, handleStopDrag);
		m_Background.onReleaseOutside = Delegate.create(this, handleStopDrag);
		m_Background.onPress = Delegate.create(this, handleStartDrag);
	}
	
	public function onLoad() {
		m_ExecuteButton.addEventListener("click", this, "ExecuteCode");
		m_CloseButton.addEventListener("click", this, "CloseWindow");
	}
	
	public function CloseWindow(eventObj:Object) {
		Chat.SignalShowFIFOMessage.Emit("AACEWindow CloseWindow", 0)
		this.removeMovieClip();
	}
	
	public function ExecuteCode(eventObj:Object) {
		com.GameInterface.Chat.SignalShowFIFOMessage.Emit("Here, we, go!",0)
	}
	
	private function handleStartDrag() {
		this.startDrag();
	}
	
	private function handleStopDrag(buttonIdx:Number) {
		this.stopDrag();
		SignalPositionChanged.Emit(this._x, this._y);
	}
	
	private function RemoveSelection() {
		Selection.setFocus(null);
	}
	
	
}